For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList environments
      • POSTCreate an environment
      • GETGet environment subscription credentials
      • GETGet an environment
      • PATCHUpdate an environment
      • DELDelete an environment
      • GETList guides
      • GETGet a guide
      • PATCHUpdate a guide
      • POSTCreate a guide
      • DELDelete a guide
      • GETGet guide version
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEnvironments

Delete a guide

DELETE
https://api.x.flatfile.com/v1/environments/:environmentId/guides/:guideId
DELETE
/v1/environments/:environmentId/guides/:guideId
$curl -X DELETE https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID/guides/us_gu_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Deletes a guide
Was this page helpful?
Previous

Get guide version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

environmentIdstringRequired
ID of the environment
guideIdstringRequired
ID of guide to delete

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error